package com.tofly.xrtygis.custom.service;

import com.tofly.xrtygis.custom.entity.dto.CostbgIndexDto;
import com.tofly.xrtygis.custom.entity.dto.CostbgWaterDto;
import com.tofly.xrtygis.custom.entity.dto.ElectricityBillDto;
import com.tofly.xrtygis.entity.Costbgprice;

import java.util.List;
import java.util.Map;

public interface WaterMakingPlanService {

    /**
     * 添加预算单价信息
     *
     * @param costbgprice 预算单价
     * @return true
     */
    boolean insertPricePlan(Costbgprice costbgprice);


    /**
     * 查询制水费用
     *
     * @param year 年份
     * @return list
     */
    Map<String,Object> viewExpense(String year);

    /**
     * 修改计划单价
     *
     * @param costbgprice 计划单价信息
     * @return true
     */
    boolean updatePricePlan(Costbgprice costbgprice);


//    boolean insertFixedPlan(CostbgFixedDto dto);

    /**
     * 查看单变计划
     *
     * @param id id
     * @return map
     */
    Map<String,Object> viewFixedPlan(Long id);

    /**
     * 填报电费
     *
     * @param dto dto
     * @return true
     */
    boolean insertElectricityBill(ElectricityBillDto dto);

    /**
     * 查询电费
     *
     * @param year 年份
     * @return page
     */
    Map<String,Object> viewElectricityBill(String year);

    /**
     * 添加水量计划
     *
     * @param dto dto
     * @return true of false
     */
    boolean insertWaterPlan(CostbgWaterDto dto);


    /**
     * 修改水量计划信息
     *
     * @param dto dto
     * @return boolean
     */
    boolean updateWaterPlan(CostbgWaterDto dto);

    /**
     * 修改指标信息
     *
     * @param dto dto
     * @return true
     */
    boolean updateIndexPlan(CostbgIndexDto dto);

    /**
     * 获取用量信息，用于费用计算
     *
     * @param year 年份
     * @return list
     */
    List<Map> getDosage(String year);
}
